Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.loader
Class ResourceEntry

    java.lang.Object
      org.apache.catalina.loader.ResourceEntry

    public class ResourceEntry

extends Object

Resource entry.

Version:
  $Id: ResourceEntry.java 939305 2010-04-29 13:43:39Z kkolinko $
Author:
  Remy Maucherat

Field Summary
`byte[]` | `binaryContent` Binary content of the resource.
`Certificate[]` | `certificates` Certificates (if the resource was loaded from a JAR).
`URL` | `codeBase` URL of the codebase from where the object was loaded.
`long` | `lastModified` The "last modified" time of the origin file at the time this class was loaded, in milliseconds since the epoch.
`Class<?>` | `loadedClass` Loaded class.
`Manifest` | `manifest` Manifest (if the resource was loaded from a JAR).
`URL` | `source` URL source from where the object was loaded.

Constructor Summary
`ResourceEntry()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### lastModified

    public long lastModified

  The "last modified" time of the origin file at the time this class was loaded, in milliseconds since the epoch.

### binaryContent

    public byte[] binaryContent

  Binary content of the resource.

### loadedClass

    public volatile Class<?> loadedClass

  Loaded class.

### source

    public URL source

  URL source from where the object was loaded.

### codeBase

    public URL codeBase

  URL of the codebase from where the object was loaded.

### manifest

    public Manifest manifest

  Manifest (if the resource was loaded from a JAR).

### certificates

    public Certificate[] certificates

  Certificates (if the resource was loaded from a JAR).

Constructor Detail

### ResourceEntry

    public ResourceEntry()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.